%global _empty_manifest_terminate_build 0
Name:		python-pysnmp
Version:	4.4.12
Release:	2
Summary:	SNMP library for Python
License:	BSD-2-Clause
URL:		https://github.com/etingof/pysnmp
Source0:	https://files.pythonhosted.org/packages/4e/75/72f64c451bf5884715f84f8217b69b4025da0b67628d611cd14a5b7db217/pysnmp-4.4.12.tar.gz
BuildArch:	noarch

Requires:	python3-pysmi
Requires:	python3-pycryptodomex
Requires:	python3-pyasn1

%description

SNMP v1/v2c/v3 engine and Standard Applications suite written in pure-Python.
Supports Manager/Agent/Proxy roles, Manager/Agent-side MIBs, asynchronous
operation and multiple network transports.




%package -n python3-pysnmp
Summary:	SNMP library for Python
Provides:	python-pysnmp
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pysnmp

SNMP v1/v2c/v3 engine and Standard Applications suite written in pure-Python.
Supports Manager/Agent/Proxy roles, Manager/Agent-side MIBs, asynchronous
operation and multiple network transports.




%package help
Summary:	Development documents and examples for pysnmp
Provides:	python3-pysnmp-doc
%description help

SNMP v1/v2c/v3 engine and Standard Applications suite written in pure-Python.
Supports Manager/Agent/Proxy roles, Manager/Agent-side MIBs, asynchronous
operation and multiple network transports.




%prep
%autosetup -n pysnmp-4.4.12

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pysnmp -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed May 11 2022 xigaoxinyan  <xigaoxinyan@h-partners.com> - 4.4.12-2
- License compliance rectification

* Wed Dec 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
